.container {
  display: flex;
  align-items: flex-start;

  user-select: none;

  cursor: pointer;
}

.checkbox {
  height: 20px;
  width: 20px;
  border: 1px solid #FFFFFF;
  box-sizing: border-box;
  border-radius: 5px;
  margin-top: 2px;

  flex-shrink: 0;

  display: flex;
  align-items: center;
  justify-content: center;
}

.isReadonly {
  cursor: default;
  .checkbox {
    border-style: dotted;
  }
}

.isDisabled {
  cursor: not-allowed;
  .checkbox {
    opacity: .6;
  }
}

.isChecked {
  background-color: rgba(255, 255, 255, 0.45);
  border-color: #07bac3;

  svg {
    fill: #07bac3;
  }
}

.label {
  margin-left: 15px;
}

.isMobile {
  .checkbox {
    height: 24px;
    width: 24px;
    margin-top: -1px;
  }
}